﻿using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            OHLC[] priceArray = DataGen.RandomStockPrices(null, 30);

            plot.AddCandlesticks(priceArray);

            double[] tickPositionArray = { 0, 6, 13, 20, 27 };
            string[] tickLabelArray    = { "9월 23일", "9월 30일", "10월 7일", "10월 14일", "10월 21일" };

            plot.XTicks(tickPositionArray, tickLabelArray);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}